Bug 1156157 - ricci still agrees on SSLv3 connections by default (if for some esoteric reason forced to)
Summary: ricci still agrees on SSLv3 connections by default (if for some esoteric reas...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ricci
Version: 6.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Chris Feist
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1075176
Blocks: 1159926 1156533 1218334 1222411
TreeView+ depends on / blocked
 
Reported: 2014-10-23 17:20 UTC by Jan Pokorný [poki]
Modified: 2019-10-10 09:27 UTC (History)
11 users (show)

Fixed In Version: ricci-0.16.2-81.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1075176
: 1156533 1222411 (view as bug list)
Environment:
Last Closed: 2015-07-22 07:34:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1405 normal SHIPPED_LIVE ricci bug fix and enhancement update 2015-07-20 18:07:08 UTC
Red Hat Knowledge Base (Solution) 1248393 None None None Never
Red Hat Bugzilla 1265735 None None None 2019-09-05 15:50:32 UTC

Internal Links: 1265735

Description Jan Pokorný [poki] 2014-10-23 17:20:08 UTC
Due to an ever-increasing attention being paid to minimal acceptable
version of SSL/TLS and/or their ciphers (security scanners, etc.)
and because {luci,ccs,ccs_sync}-ricci communication should be just
fine with TLS1.0+.

While the original [bug 1075176] conditionally disables SSLv2, I think
we should:
- treat SSLv3 the same as SSLv3
- invert the respective default: go secure and allow to revert to
                                 previous behavior (for the utterly
                                 obscure use cases)

To be noted that relying merely on security scanners tends to provide
false sense of overall security; certificate management (conga using
self-signed ones with limited options to roll up custom ones) is a much
weaker point here (see also [bz885028]).

+++ This bug was initially created as a clone of Bug #1075176 +++

Comment 1 Jan Pokorný [poki] 2014-10-23 18:43:48 UTC
Principially, [bug 1156167] is of greater concerns, though;
this is generally non-critical.

Comment 4 Chris Feist 2015-03-03 21:00:44 UTC
How to test (from the machine that is running ricci):

openssl s_client -connect localhost:11111 -ssl3

If it give you a bunch of output including certificates, etc. and returns '0' then ssl3 is working.

After upgrading ricci running the same openssl command returns '1' and gives you errors like this:

SSL_connect:before/connect initialization
SSL_connect:SSLv3 write client hello A
SSL3 alert read:fatal:handshake failure
SSL_connect:failed in SSLv3 read server hello A
140548945856328:error:14094410:SSL routines:SSL3_READ_BYTES:sslv3 alert handshake failure:s3_pkt.c:1256:SSL alert number 40

Patch upstream here: 
https://git.fedorahosted.org/cgit/conga.git/commit/?h=RHEL6&id=636787356206e592367843d66d3a834225bb1625

Comment 5 Chris Feist 2015-03-03 23:01:32 UTC
Additional upstream patch to make default secure and option ('-x') to use SSLv2/SSLv3

https://git.fedorahosted.org/cgit/conga.git/commit/?h=RHEL6&id=cdcffaf7441668f686e9bcd24d8801e084ed1d1f

Comment 6 Chris Feist 2015-03-03 23:32:49 UTC
Before Fix:
[root@ask-03 ~]# rpm -q ricci
ricci-0.16.2-75.el6.x86_64
[root@ask-03 ~]# ps -eaf | grep ricci | grep -v grep
ricci    14456     1  0 15:59 ?        00:00:01 ricci -u ricci
[root@ask-03 ~]# openssl s_client -connect localhost:11111 -ssl3 2>&1 | grep "handshake failure"
[root@ask-03 ~]# 


After Fix:
[root@ask-02 ~]# rpm -q ricci
ricci-0.16.2-77.el6.x86_64
[root@ask-02 ~]# ps -eaf | grep ricci | grep -v grep
ricci    22166     1  0 17:31 ?        00:00:00 ricci -u ricci
[root@ask-02 ~]# openssl s_client -connect localhost:11111 -ssl3 2>&1 | grep "handshake failure"
140504936662856:error:14094410:SSL routines:SSL3_READ_BYTES:sslv3 alert handshake failure:s3_pkt.c:1256:SSL alert number 40
140504936662856:error:1409E0E5:SSL routines:SSL3_WRITE_BYTES:ssl handshake failure:s3_pkt.c:596:

Comment 15 errata-xmlrpc 2015-07-22 07:34:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1405.html


Note You need to log in before you can comment on or make changes to this bug.